org.flexdock.plaf.mappings

## Class PlafMappingFactory

- java.lang.Object
- - org.flexdock.plaf.mappings.PlafMappingFactory

All Implemented Interfaces:
  XMLConstants

    public class PlafMappingFactory
    extends java.lang.Object
    implements XMLConstants

Author:
  Christopher Butler

### Field Summary

Fields
`static java.lang.String` `PLAF_KEY`

### Fields inherited from interface org.flexdock.plaf.XMLConstants

`ATTRIBUTE_KEY, CLASSNAME_KEY, CONSTRUCTOR_KEY, DESC_KEY, EXTENDS_KEY, HANDLER_KEY, INHERITS_KEY, NAME_KEY, OVERRIDDEN_KEY, PROP_HANDLER_KEY, PROPERTY_KEY, REFERENCE_KEY, VALUE_KEY`

### Constructor Summary

Constructors
Constructor and Description
`PlafMappingFactory()`

### Method Summary

Methods
`static java.util.List` `getAvailablePlafNames()`
`static java.lang.String` `getInstalledPlafReference()`
`static java.lang.String` `getPlafReference(java.lang.String key)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PLAF_KEY

    public static final java.lang.String PLAF_KEY

See Also:
  Constant Field Values

### Constructor Detail

#### PlafMappingFactory

    public PlafMappingFactory()

### Method Detail

#### getAvailablePlafNames

    public static java.util.List getAvailablePlafNames()

#### getInstalledPlafReference

    public static java.lang.String getInstalledPlafReference()

#### getPlafReference

    public static java.lang.String getPlafReference(java.lang.String key)